package sync

import (
	"path"

	"github.com/BurntSushi/toml"
)

type ExerciceHintParams struct {
	Filename string
	Cost     int64
	Title    string
}

type ExerciceParams struct {
	Gain int64
	Hints []ExerciceHintParams `toml:"hint"`
}

func parseExerciceParams(i Importer, exPath string) (p ExerciceParams, err error) {
	var defs string
	defs, err = getFileContent(i, path.Join(exPath, "defines.txt"))

	_, err = toml.Decode(defs, &p)

	return
}
